#!/bin/bash

# maketarball
# Copyright 2024 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set -euo pipefail

cd "$(dirname "$0")"
srcdir=$(pwd)
tmpdir=$(mktemp -d)

function cleanup() { rm -rf "$tmpdir"; }

trap cleanup EXIT

git archive --format=tar --prefix=csv10.2.0/ HEAD | (cd "$tmpdir"; tar -xf -)
git submodule update --init --recursive
git submodule --quiet foreach --recursive \
  "git archive --format=tar --prefix=\"csv10.2.0/\$path/\" HEAD | (cd \"$tmpdir\"; tar -xf -)"

if [[ "$(uname -s)" == "Darwin" ]]; then
  mac="--no-mac-metadata"
else  
  mac=""
fi
(cd "$tmpdir"; tar -c -z $mac -f "$srcdir/csv10.2.0.tar.gz" csv10.2.0)
